Messages d'erreurs avec EasyPHP

Signaler
Messages postés
186
Date d'inscription
jeudi 23 décembre 2004
Statut
Membre
Dernière intervention
9 juillet 2013
-
Messages postés
369
Date d'inscription
samedi 4 septembre 2004
Statut
Membre
Dernière intervention
20 octobre 2013
-
Bonjour à tous et merci de votre aide,

Voilà, je débute en PHP et pour me faire la main, j'ai pris EasyPHP qui semble être le prog conseillé par tout le monde, j'y integre des sources que certaines âmes de bonne charité nous laisse en téléchargement, puis je lis les cript......tout ça tout ça....pour apprendre quoi ! !
J'ai utilisé deux modules de news PHP comme ça, directement en ligne pour deux sites et ils ont fonctionnés parfaitement tout de suite en ne mettant que les infos mini (localhost,user,bdname.....)

Hors, quand j'ai voulus les tester sur EasyPHP : j'ai eu des tas de messages d'erreurs.....des fois il manque soit disant des ' comme pour les date 'j'-'m'-'a' par exemple alors qu'en ligne ça marche sans......les accès avec mots de passe ne marche jamais, ça reste sur la page demandant le mot de passe......enfin voilà, comme si la syntax posait problème alors que ça fonctionne en ligne (heureusement que je les mis en ligne avant de vouloir bien comprendre ! ! ! )
Est ce que cela vient de PHP - PHP3 - PHP4........y a t'il des differences de syntax entre eux ? ? ? ? est ce que dans un EasyPHP telechargé il y a 15 jours est trop recent pour certain ? ? ?
En essayant des scripts pris dans des tuto (phpdebutant.org par exemple) il n'y a que PHP pas de chiffre derrière et ça fonctione, faut il toujours que cela soit comme ca et donc renommer toutes les pages php3 php4 en PHP ? ? ? ?
Ou encore autre chose ???

, merci de vos infos

Laubro

7 réponses

Messages postés
822
Date d'inscription
vendredi 25 mai 2001
Statut
Modérateur
Dernière intervention
1 août 2014

Bonjour,
c'est certainement un problème d'incompatibilité de version.

Cet article vous aidera dans certain cas : http://phpdebutant.org/article113.php sinon je vous renvoi vers google qui est une mine d'information en ce qui concerne la migration de php3 vers php4, et php4 vers php5.

Renommer une page est inutile car si la version de php sur le serveur ne change pas et que l'extension est prit en compte, il n'y a aucun intérêt, ça ne changera rien.

La prochaine fois,
je vous conseille de nous laisser le message d'erreur en question sur le forum.

Bon courage !!

tch@o..

orion
http://blogs.developpeur.org/orion/
Messages postés
9433
Date d'inscription
mardi 9 octobre 2001
Statut
Membre
Dernière intervention
13 avril 2007
8
Salut,



c'est aussi du au fait que la source est mal codée et donc incompatible
avec les dernières normes plus restrictives de PHP (je ne parle pas de
PHP 5 mais des register-globals, etc...)



a +

Vulgarisation informatique : Entraide, dépannage et vulgarisation informatique

Forum d'entraide informatique (14 catégories)
Messages postés
369
Date d'inscription
samedi 4 septembre 2004
Statut
Membre
Dernière intervention
20 octobre 2013

Slt,

Tu as la version Easyhp 1.7
Tu peux toujours la désinstaller et installer la version 1.6 et tu n'auras plus ces problemes.

Laurent
[URL]http://www.phpsources.net/URL
Messages postés
9433
Date d'inscription
mardi 9 octobre 2001
Statut
Membre
Dernière intervention
13 avril 2007
8
ça ne fait que déplacer le problème...

Vulgarisation informatique : Entraide, dépannage et vulgarisation informatique

Forum d'entraide informatique (14 catégories)
Messages postés
369
Date d'inscription
samedi 4 septembre 2004
Statut
Membre
Dernière intervention
20 octobre 2013

Slt Anthomicro,

Oui c'est clair..... mais comme laubro à signaler qu'il etait débutant.. puis les dernieres normes à respecter; les gros serveurs sont pas pret de s'y mettre.. encore quelques années je pense avant que les nouvelles normes soit complètement ingurgités. puis entre temps yen aura d'autre... Ca promet des beugs!!!

http://www.phpsources.net
Messages postés
186
Date d'inscription
jeudi 23 décembre 2004
Statut
Membre
Dernière intervention
9 juillet 2013

Merci pour l'info php1.6, juste, tu aurai (ou aurriez !)une idée où je peu le trouver, car je ne trouve que le 1.7, ce qui doit être du au fait que c'est la dernière version ! ! ! ! !

Il est vrai que pour le moment, l'important est pour moi de pouvoir faire tourner les scripts php en local sans avoir à les mettres en ligne pour voir le resultat, c'est quand même plus pratique, car ce qui ne tourne pas en local chez moi, tourne en ligne ! ! ! !

Et oui je débute en php.....et je trouve que cela offre beaucoup de possibilités........dommages que je ne soit pas developpeur en cc+ par exemple car il semble que la syntaxe est tres voisinne, mais comme je n'ai aucunes formation informatique que de base et que malgré tout c'est 75% de mon job aujourd'hui (conseil, formation, site web, tableau de bord de gestion, yeald management..............) avec quelques bon tutos aussi de tres bon conseils...........je devrait pouvoir m'en sortir ! faut il que je puisse faire tourner les script en local

Merci encore et donc si vous savez ou je peux attraper une version 6 pour tester
Laubro
Messages postés
369
Date d'inscription
samedi 4 septembre 2004
Statut
Membre
Dernière intervention
20 octobre 2013